Bug 1777759 - update hammer 'htttp-proxy' help text
Summary: update hammer 'htttp-proxy' help text
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hammer - Content
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: 6.7.0
Assignee: James Jeffers
QA Contact: vijsingh
URL:
Whiteboard:
Depends On:
Blocks: 1774324
TreeView+ depends on / blocked
 
Reported: 2019-11-28 09:35 UTC by vijsingh
Modified: 2020-04-14 13:38 UTC (History)
9 users (show)

Fixed In Version: foreman-1.24.1-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:38:38 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 28651 Normal Closed Change parameter description of HTTP Proxy id 2020-01-20 05:33:02 UTC

Description vijsingh 2019-11-28 09:35:04 UTC
Description of problem:

update hammer 'htttp-proxy' help text

Version-Release number of selected component (if applicable):

@Satellite 6.7.0 snap 3.0

How reproducible:

Always

Steps to Reproduce:
1. update hammer 'htttp-proxy' help text of belows:

 [root@hp-dl180-04 ~]# hammer repository create --help|grep 'http-proxy'
 --http-proxy HTTP_PROXY_NAME                                      Name to search by
 --http-proxy-id HTTP_PROXY_ID                                     Numerical ID or HTTP Proxy name


Actual results:

 --http-proxy HTTP_PROXY_NAME                                      Name to search by
 --http-proxy-id HTTP_PROXY_ID                                     Numerical ID or HTTP Proxy name


Expected results:

 --http-proxy HTTP_PROXY_NAME                                      Name of HTTP Proxy
 --http-proxy-id HTTP_PROXY_ID                                     Numerical ID of HTTP Proxy

Comment 4 Oleh Fedorenko 2019-11-29 12:56:04 UTC
Since this is not an actual hammer core bug, but related to repositories management coming from hammer-cli-katello, I'm moving it to the Hammer - Content component.

Comment 5 Brad Buckingham 2019-12-18 21:15:53 UTC
Hi Vijay,

Changing the description for "--http-proxy HTTP_PROXY_NAME" as proposed will make it inconsistent with other existing NAME fields.  We could alter it to say "Proxy name to search by"; however, the branding might cause that to get renamed to capsule which could be even more confusing.

Any objection if we leave the description on NAME field alone and update just the "--http-proxy-id HTTP_PROXY_ID"?

Below are the other name fields:

# hammer repository create --help|grep "to search by"
 --gpg-key GPG_KEY_NAME                                            Name to search by
 --http-proxy HTTP_PROXY_NAME                                      Name to search by
 --organization ORGANIZATION_NAME                                  Organization name to search by
 --organization-label ORGANIZATION_LABEL                           Organization label to search by
 --product PRODUCT_NAME                                            Product name to search by

Comment 6 vijsingh 2019-12-19 06:15:54 UTC
Hi Brad,

I got your point on it and sounds good to me . I am fine if we could update '--http-proxy-id HTTP_PROXY_ID' as below as well:

 "--http-proxy-id HTTP_PROXY_ID  ID to search by"

Comment 7 Brad Buckingham 2019-12-19 12:37:16 UTC
Thanks Vijay!

For consistency, I am thinking to label ID withone of the below.  If you have a preference, do let me know.

 --http-proxy-id HTTP_PROXY_ID                                     Identifier of the HTTP Proxy

or 

 --http-proxy-id HTTP_PROXY_ID                                     HTTP Proxy numeric identifier


Existing IDs:

# hammer repository create --help|grep "ID"
 --gpg-key-id GPG_KEY_ID                                           Gpg key numeric identifier
 --http-proxy-id HTTP_PROXY_ID                                     Numerical ID or HTTP Proxy name
 --organization-id ORGANIZATION_ID                                 Organization ID
 --product-id PRODUCT_ID                                           Product numeric identifier
 --ssl-ca-cert-id SSL_CA_CERT_ID                                   Idenifier of the SSL CA Cert
 --ssl-client-cert-id SSL_CLIENT_CERT_ID                           Identifier of the SSL Client Cert
 --ssl-client-key-id SSL_CLIENT_KEY_ID                             Identifier of the SSL Client Key

Comment 9 vijsingh 2019-12-19 12:43:56 UTC
(In reply to Brad Buckingham from comment #7)
> Thanks Vijay!
> 
> For consistency, I am thinking to label ID withone of the below.  If you
> have a preference, do let me know.
> 
>  --http-proxy-id HTTP_PROXY_ID                                   Identifier of the HTTP Proxy
> 
> or 
> 
>  --http-proxy-id HTTP_PROXY_ID                                     HTTP Proxy numeric identifier
> 

Above looks good to me however  branding might cause that to get renamed to capsule?

Comment 10 vijsingh 2020-01-16 08:29:43 UTC
ON_QA Verified

@Satellite 6.7.0 snap 8.0

[root@qe-sat6-bm1 ~]# hammer repository create --help|grep 'http-proxy'
 --http-proxy HTTP_PROXY_NAME                                      Name to search by
 --http-proxy-id HTTP_PROXY_ID                                     Identifier of the HTTP Proxy
 --http-proxy-policy HTTP_PROXY_POLICY                             Policies for HTTP Proxy for content sync
[root@qe-sat6-bm1 ~]# hammer repository update --help|grep 'http-proxy'
 --http-proxy HTTP_PROXY_NAME                                      Name to search by
 --http-proxy-id HTTP_PROXY_ID                                     Identifier of the HTTP Proxy
 --http-proxy-policy HTTP_PROXY_POLICY                             Policies for HTTP Proxy for content sync
[root@qe-sat6-bm1 ~]#

Comment 11 Bryan Kearney 2020-04-14 13:38:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.